export class PitayaConfiguration {
    constructor() {
        this.initialized = false;
        this._devBodyClass = "pitaya-app--under-development";
        this._development = false;
    }
    get devBodyClass() {
        return this._devBodyClass;
    }
    get development() {
        return this._development;
    }
    enableDevelopment(bodyMarkerClass) {
        this._development = true;
        this._devBodyClass = bodyMarkerClass || this._devBodyClass;
        document.body.classList.add(this._devBodyClass);
    }
}

//# sourceMappingURL=configuration.js.map
